Favicon

You are here: Home > API Reference > Workspace > Certificateprovider > Get list of certificateProvider

Get list of certificateProvider

Required Permission: base.organization.certificateProvider.list

Get list of certificateProvider

GET
/v1/organizations/:organizationId/certificate-providers/
Copy to clipboard

Get list of certificateProvider

Required Permission: base.organization.certificateProvider.list

Get list of certificateProvider

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^[a-fA-F0-9]{24}$
page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size.
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
name string
optional
≤ 128 characters
segmentId integer
optional
expandTo string
optional
ancestorschildren

Responses

200 Response application/json
status boolean required
data object required
items array [object] required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
name string required
≤ 128 characters
description string optional
≤ 256 characters
connectorToken string required
≤ 256 characters
config object required
type string required
scep
name string optional
serverUrl string required
subject string optional
keySize string optional
1024 2048 4096
keyType string optional
keyUsage string optional
encryption signing both
CAFingerprint string optional
retries number optional
≥ 0 · ≤ 10
retryDelay number optional
≥ 0 · ≤ 864000
keyIsExtractable boolean optional
allowAllAppsAccess boolean optional
subjectAltName object optional
rfc822Name array [string] optional
dNSName array [string] optional
uniformResourceIdentifier array [string] optional
ntPrincipalName string optional
challenge object required
type string required
none
url string required
username string required
password string required
numChallenges number optional
≥ 100 · ≤ 10000
expirationPercentage number optional
≥ 20 · ≤ 80
auth string optional
basic ntlm
value string required
reports array [object] required
type string required
value string required
createdAt string required
counts object required
challenges number optional
version integer required
≥ 0 · ≤ 9007199254740991
updatedAt string required
createdAt string required
segmentId integer optional
≥ 0 · ≤ 9007199254740991
totalDocs integer required
≥ -9007199254740991 · ≤ 9007199254740991
limit integer required
≥ -9007199254740991 · ≤ 9007199254740991
hasPrevPage boolean required
hasNextPage boolean required
page integer required
≥ -9007199254740991 · ≤ 9007199254740991
totalPages integer required
≥ -9007199254740991 · ≤ 9007199254740991
prevPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
nextPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "name": "string",
                "description": "string",
                "connectorToken": "string",
                "config": {
                    "type": "scep",
                    "name": "string",
                    "serverUrl": "string",
                    "subject": "string",
                    "keySize": "1024",
                    "keyType": "string",
                    "keyUsage": "encryption",
                    "CAFingerprint": "string",
                    "retries": 0,
                    "retryDelay": 0,
                    "keyIsExtractable": true,
                    "allowAllAppsAccess": true,
                    "subjectAltName": {
                        "rfc822Name": [
                            "string"
                        ],
                        "dNSName": [
                            "string"
                        ],
                        "uniformResourceIdentifier": [
                            "string"
                        ],
                        "ntPrincipalName": "string"
                    },
                    "challenge": {
                        "type": "ndes",
                        "url": "string",
                        "username": "string",
                        "password": "string",
                        "numChallenges": 0,
                        "expirationPercentage": 0,
                        "auth": "basic"
                    }
                },
                "reports": [
                    {
                        "type": "string",
                        "value": "string",
                        "createdAt": "string"
                    }
                ],
                "counts": {
                    "challenges": 0
                },
                "version": 0,
                "updatedAt": "string",
                "createdAt": "string",
                "segmentId": 0
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}